# -----------------------------------------------------------------------------
# Makefile for IsoLinux
#
# This is toplevel configuration file with IsoLinux specific configuration
# parameters.
#
# You can set SRC_ROOT to collect the directories from a different directory
# (e.g. a partition mounted underneath /mnt).
#
# $Author: Bablokb $
# $Revision: 1.9 $
#
# License: GPL2
# -----------------------------------------------------------------------------


# configuration for individual packages

# package: dir-structure
#
# DIR_SET:  list of directories in /
# LINK_SET: these directories are mapped below /cdrom, e.g /usr -> /cdrom/usr

DIR_SET=bin boot cdrom dev etc floppy home lib mnt proc root sbin var tmp
#DIR_SET=bin boot cdrom dev etc floppy lib mnt proc root sbin var tmp
LINK_SET=usr opt
#LINK_SET=usr opt home

# packages: root-dirs and cd-dirs
#
# SRC_ROOT : source of stuff, e.g. / or /mnt/ (if you mount a second system)
#            should have a trailing /

SRC_ROOT := /mnt/

# package: root-dirs
#
# ROOT_DIR_SET:      content of these directories will go into the ramdisk
#                    mounted on / (maybe remove home)
#                    BE SURE NOT TO INCLUDE THE IsoLinux DIRECTORY
# ROOT_DIR_TAR_ARGS: additional arguments to tar

ROOT_DIR_SET := bin dev etc home lib root sbin var
#ROOT_DIR_SET := bin dev etc home lib root sbin var

# package: cd-dirs
#
# CD_DIR_SET:      content of these directories will go onto the CD
#                  possibly add opt (see LINK_SET above!)
#                  BE SURE NOT TO INCLUDE THE IsoLinux DIRECTORY
# CD_DIR_TAR_ARGS: additional arguments to tar

CD_DIR_SET=usr/bin usr/sbin usr/lib usr/share/man
#CD_DIR_SET=usr
#CD_DIR_SET=opt usr
#CD_DIR_SET=home opt usr

# -----------------------------------------------------------------------------

# definition of standard configuration variables
#
# (if your SRC_ROOT is not ext2, you might have to increment RD_SIZE_INC)

RD_NODES     := auto
RD_NODES_INC := 2048
RD_FS        := ext2

RD_SIZE     := auto
RD_SIZE_INC := 2048

KERNEL := $(SRC_ROOT)/boot/vmlinuz-2.4.2-2

root-fs_PACKAGES := dir-structure root-dirs
cd-fs_PACKAGES   := cd-dirs
