#!/bin/bash
# -----------------------------------------------------------------------------
# Patch-script for uClibcLinux: package kernel
#
# This script does two things:
#   - apply any patches in the current directory
#   - it copies a the .config file to the kernel-source directory.
#
# $Author: Bablokb $
# $Revision: 1.1 $
#
# License: GPL2
# -----------------------------------------------------------------------------

currentDir=`dirname $0`
targetDir=$1

if ls *.patch 1>/dev/null 2>&1; then
  cd $targetDir
  for p in $currentDir/*.patch; do
    patch -p0 < $p
  done
  cd $currentDir
fi

cp -a .config $targetDir/.config