# -----------------------------------------------------------------------------
# Makefile for gendist
#
# Generic rules for all examples
#
# $Author: Bablokb $
# $Revision: 1.7 $
#
# License: GPL2 (see COPYING)
# -----------------------------------------------------------------------------

.PHONY: default install

export 
GENDIST_ROOT := $(CURDIR)/../..

NAME := $(shell basename $(CURDIR))
TYPES := all

# default target and sanity checks --------------------------------------------

default:
	@echo "usage: make install PREFIX=<target directory>"

ifeq (install,$(MAKECMDGOALS))
ifeq (,$(PREFIX))
$(error Variable PREFIX not set!)
endif
endif

# targets (create distribution and copy sample files) -------------------------

install: create-files
	@echo "Installing $(NAME) to $(PREFIX)/$(NAME)..."
	$(GENDIST_ROOT)/bin/gendist.sh -d -n $(NAME) -t $(TYPES) -o -g -p $(PREFIX)
	make copy-files
	@echo "...done"
