# ------------------------------------------------------------------------------
# Makefile for gendist
#
# These are pattern rules for packages for the top-level makefile
#
# $Author: Bablokb $
# $Revision: 1.11 $
#
# License: GPL2 (see COPYING)
# ------------------------------------------------------------------------------

sed -e "s!@DIST_NAME@!$1!g" \
    -e "s/@version@/$version/g" << "EOF"
# -----------------------------------------------------------------------------
# Makefile for @DIST_NAME@
#
# Automatically generated by GENDIST.
#
# These are pattern rules for packages for the top-level makefile
#
# License: GPL2
# -----------------------------------------------------------------------------

# pattern rules for filesystems -----------------------------------------------

clean-%-fs:
	$(MAKE) -C $(SRC_DIR) $@
	rm -f $(PACKAGE_DIR)/$(@:clean-%=%)/_$(@:clean-%=%)

distclean-%-fs:
	$(MAKE) -C $(SRC_DIR) $@
	rm -f $(PACKAGE_DIR)/$(@:distclean-%=%)/_$(@:distclean-%=%)

mrproper-%-fs:
	$(MAKE) -C $(SRC_DIR) $@
	rm -f $(PACKAGE_DIR)/$(@:mrproper-%=%)/_$(@:mrproper-%=%)

%-fs:
	mkdir -p $(BUILD_DIR)/$@
	@if [ ! -f $(PACKAGE_DIR)/$@/_$@ ]; then \
	   $(MAKE) -C $(SRC_DIR) $@; \
	   if [ $$? -gt 0 ]; then exit 1; fi; \
	   touch $(PACKAGE_DIR)/$@/_$@; \
	fi

# pattern rules for packages---------------------------------------------------

%_:
	@if [ "$(findstring $(patsubst %_,%,$@),$(root-fs_PACKAGES))" ]; then \
	  $(MAKE) -C $(PACKAGE_DIR)/root-fs/$(patsubst %_,%,$@) \
	                                      TARGET_DIR=$(root-fs_DIR); \
	else \
	  $(MAKE) -C $(PACKAGE_DIR)/cd-fs/$(patsubst %_,%,$@) \
	                                      TARGET_DIR=$(cd-fs_DIR); \
	fi

%_clean:
	@if [ "$(findstring $(patsubst %_clean,%,$@),$(root-fs_PACKAGES))" ]; \
	                                                                then \
	   $(MAKE) -C $(PACKAGE_DIR)/root-fs/$(patsubst %_clean,%,$@) \
	                                     TARGET_DIR=$(root-fs_DIR) clean; \
	else \
	   $(MAKE) -C $(PACKAGE_DIR)/cd-fs/$(patsubst %_clean,%,$@) \
	                                      TARGET_DIR=$(cd-fs_DIR) clean; \
	fi

%_install:
	@if [ "$(findstring $(patsubst %_install,%,$@),$(root-fs_PACKAGES))" ]; \
	                                                                 then \
	   $(MAKE) -C $(PACKAGE_DIR)/root-fs/$(patsubst %_install,%,$@) \
	                                    TARGET_DIR=$(root-fs_DIR) install; \
	else \
	   $(MAKE) -C $(PACKAGE_DIR)/cd-fs/$(patsubst %_install,%,$@) \
	                                      TARGET_DIR=$(cd-fs_DIR) install; \
	fi

EOF